## ros-melodic-sr-hand-detector 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sr_hand_detector)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
  roslib
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a exec_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a exec_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a exec_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
 INCLUDE_DIRS include
 LIBRARIES sr_hand_detector
 CATKIN_DEPENDS
    roscpp
    roslib
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ library
add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}/sr_hand_detector.cpp
  src/${PROJECT_NAME}/soem/ethercatmain.c
  src/${PROJECT_NAME}/soem/ethercatbase.c
  src/${PROJECT_NAME}/soem/oshw.c
  src/${PROJECT_NAME}/soem/nicdrv.c
  src/${PROJECT_NAME}/soem/osal.c
)

add_library(sr_hand_autodetect_lib
  src/${PROJECT_NAME}/sr_hand_autodetect.cpp
)

add_dependencies(sr_hand_autodetect_lib ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

SET(GCC_NEWDTAGS_LINK_FLAGS "-Wl,--disable-new-dtags")
SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${GCC_NEWDTAGS_LINK_FLAGS}")
set (CMAKE_CXX_STANDARD 11)
add_executable(${PROJECT_NAME}_node src/${PROJECT_NAME}/sr_hand_detector_node.cpp)
add_executable(sr_hand_autodetect src/${PROJECT_NAME}/sr_hand_autodetect_node.cpp src/${PROJECT_NAME}/sr_hand_autodetect.cpp)

target_link_libraries(${PROJECT_NAME}_node
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  yaml-cpp
)

target_link_libraries(sr_hand_autodetect
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  yaml-cpp
)

target_link_libraries(sr_hand_autodetect_lib
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  yaml-cpp
)

# Set ${PROJECT_NAME}_nodewith RPATH built in so that we can install it suid
set_target_properties(${PROJECT_NAME}_node PROPERTIES SKIP_BUILD_RPATH FALSE)

# Set the install RPATH to the install path
set(RPATH "${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}")

# If LD_LIBRARY_PATH is set, add it to the install RPATH
#  this works in a normal catkin environment, but fails if the user unsets
#  their LD_LIBRARY_PATH manually for some reason
if(DEFINED ENV{LD_LIBRARY_PATH})
  set(RPATH "${RPATH}:$ENV{LD_LIBRARY_PATH}")
endif()

message("Install RPATH for ${PROJECT_NAME}_node is ${RPATH}")

# Apply our computed RPATH to the target
set_target_properties(${PROJECT_NAME}_node PROPERTIES INSTALL_RPATH ${RPATH})

# Don't use the final RPATH in devel space
set_target_properties(${PROJECT_NAME}_node PROPERTIES BUILD_WITH_INSTALL_RPATH FALSE)

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
# add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
# add_executable(${PROJECT_NAME}_node src/sr_hand_detector_node.cpp)

## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
# set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
# target_link_libraries(${PROJECT_NAME}_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#  scripts/my_python_script
#  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_executables.html
# install(TARGETS ${PROJECT_NAME}_node
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark libraries for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_libraries.html
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME} sr_hand_autodetect
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(test_sr_hand_autodetect test/test_sr_hand_autodetect.test test/test_sr_hand_autodetect)
  add_dependencies(test_sr_hand_autodetect ${catkin_EXPORTED_TARGETS})
  target_link_libraries(test_sr_hand_autodetect ${PROJECT_NAME} sr_hand_autodetect_lib ${catkin_LIBRARIES})
endif ()

=== debian/changelog ===
ros-melodic-sr-hand-detector (0.0.2-1stretch) stretch; urgency=high

  * Fixing rosfarm build (#11 <https://github.com/shadow-robot/sr_hand_detector/issues/11>)
  * Update CMakeLists.txt (#10 <https://github.com/shadow-robot/sr_hand_detector/issues/10>)
  * Update package.xml (#9 <https://github.com/shadow-robot/sr_hand_detector/issues/9>)
  * fixing tests (#8 <https://github.com/shadow-robot/sr_hand_detector/issues/8>)
    fixing tests
  * fixing rosfarm build (#7 <https://github.com/shadow-robot/sr_hand_detector/issues/7>)
    * fixing rosfarm build
    * fixing doc
    * fixing build
  * F fixing autodetection (#5 <https://github.com/shadow-robot/sr_hand_detector/issues/5>)
    * fixing detection for one hand
    * adding debug code
    * fixing bug
    * removing debug code
    * fixing lint
    Co-authored-by: Your Name <mailto:you@example.com>
    Co-authored-by: ethanfowler <mailto:ethan@shadowrobot.com>
  * 0.0.1 (#6 <https://github.com/shadow-robot/sr_hand_detector/issues/6>)
    Co-authored-by: mikramarc <mailto:michal@shadowrobot.com>
  * adding changelog (#4 <https://github.com/shadow-robot/sr_hand_detector/issues/4>)
  * Set license to GNU v2 as is our standard (#3 <https://github.com/shadow-robot/sr_hand_detector/issues/3>)
    * Delete LICENSE
    * Create LICENSE
  * Rename aws.yaml to aws.yml
  * Adding code (#2 <https://github.com/shadow-robot/sr_hand_detector/issues/2>)
    * Adding code
    * adding postinst
    * adding aws file
  * Create LICENSE (#1 <https://github.com/shadow-robot/sr_hand_detector/issues/1>)
  * Initial commit
  * Contributors: ToivoS, giusebar, mikramarc

 -- Shadow Robot's Software Team <software@shadowrobot.com>  Thu, 01 Oct 2020 00:00:00 -0000

## ros-melodic-sr-hand-detector 0.0.3

=== debian/changelog ===
ros-melodic-sr-hand-detector (0.0.3-2bionic) bionic; urgency=high



 -- Shadow Robot's Software Team <software@shadowrobot.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-melodic-sr-hand-detector (0.0.2-2bionic) bionic; urgency=high

  * Fixing rosfarm build (#11 <https://github.com/shadow-robot/sr_hand_detector/issues/11>)
  * Update CMakeLists.txt (#10 <https://github.com/shadow-robot/sr_hand_detector/issues/10>)
  * Update package.xml (#9 <https://github.com/shadow-robot/sr_hand_detector/issues/9>)
  * fixing tests (#8 <https://github.com/shadow-robot/sr_hand_detector/issues/8>)
    fixing tests
  * fixing rosfarm build (#7 <https://github.com/shadow-robot/sr_hand_detector/issues/7>)
    * fixing rosfarm build
    * fixing doc
    * fixing build
  * F fixing autodetection (#5 <https://github.com/shadow-robot/sr_hand_detector/issues/5>)
    * fixing detection for one hand
    * adding debug code
    * fixing bug
    * removing debug code
    * fixing lint
    Co-authored-by: Your Name <mailto:you@example.com>
    Co-authored-by: ethanfowler <mailto:ethan@shadowrobot.com>
  * 0.0.1 (#6 <https://github.com/shadow-robot/sr_hand_detector/issues/6>)
    Co-authored-by: mikramarc <mailto:michal@shadowrobot.com>
  * adding changelog (#4 <https://github.com/shadow-robot/sr_hand_detector/issues/4>)
  * Set license to GNU v2 as is our standard (#3 <https://github.com/shadow-robot/sr_hand_detector/issues/3>)
    * Delete LICENSE
    * Create LICENSE
  * Rename aws.yaml to aws.yml
  * Adding code (#2 <https://github.com/shadow-robot/sr_hand_detector/issues/2>)
    * Adding code
    * adding postinst
    * adding aws file
  * Create LICENSE (#1 <https://github.com/shadow-robot/sr_hand_detector/issues/1>)
  * Initial commit
  * Contributors: ToivoS, giusebar, mikramarc

 -- Shadow Robot's Software Team <software@shadowrobot.com>  Thu, 01 Oct 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-sr-hand-detector
Section: misc
Priority: optional
Maintainer: Shadow Robot's Software Team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-sr-hand-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-melodic-roscpp, ros-melodic-roslib
Description: The sr_hand_detector package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-sr-hand-detector//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
